<?php
/**
 * @package   Jollyany Framework
 * @author    TemPlaza https://www.templaza.com
 * @copyright Copyright (C) 2011 - 2022 TemPlaza.
 * @license https://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3 or Later
 */
defined('_JOLLYANY') or die;
$time_limit = ini_get( 'max_execution_time' );
if (!extension_loaded('zip') || !extension_loaded('curl') || !ini_get('allow_url_fopen') || (180 > $time_limit && 0 != $time_limit)) {
    include_once 'technical.php';
    return;
}
if (isset($_REQUEST['jollyany']) && $_REQUEST['jollyany'] == 'activation') {
    include_once 'activation.php';
} else {
    $license    =   maybe_unserialize(get_license());
    if ( is_object( $license ) && isset( $license->purchase_code ) ) {
        include_once 'items.php';
    } else {
        include_once 'license.php';
    }
}